Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037923
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2018-02-15 10:202018-05-09 19:29
ReporterJONHMView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision6040f148b004
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037923: Filter on Manage Variants p&e is not working properly

DescriptionFilter on Manage Variants p&e is not working properly.
Steps To ReproduceUsing F&B Admin Role:

Open Product Characteristics window
-Create a new record called 'colour' and flag Is Variant = true and then create values 'r','g','b'.

Open Product window
-Create a new product 'chair' with flag 'Is Generic' as true
-Switch to characteristics tab and add the 'colour' characteristic
-Open 'Manage Variants' process and filter by this text in Search Key: "c i"
The following message is shown "No items to show".
* Notice that if this same filter is applied on the main header's grid, it applies properly.
Proposed SolutionModify ManageVariantsDS datasource's filter to behave the same as the default datasource
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-02-15 10-28-26.png [^] (113,933 bytes) 2018-02-15 10:29


png file icon Screenshot from 2018-02-15 10-28-38.png [^] (117,489 bytes) 2018-02-15 10:29


png file icon Screenshot from 2018-02-15 10-28-55.png [^] (157,471 bytes) 2018-02-15 10:29

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0102860)
collazoandy4 (developer)
2018-02-27 20:23

Test Plan
  Go to Product Characteristics window and create a new record:
    Name: Colour
    Variant: Y
    Create three records in Value tab with names Red, Green, Blue
  Go to Product tab and create a new record:
    Search Key/Name: 37923
    Is Generic: Y
    Go to Characteristics tab and create a new record with the previous characteristic created
    Open Manage Variants process and filter for search key "3 0" and check it's works
(0103831)
hgbot (developer)
2018-04-11 18:43

Repository: erp/devel/pi
Changeset: 6040f148b004b0c038e2462b2658f295c2ad51ad
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Feb 23 19:09:51 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/6040f148b004b0c038e2462b2658f295c2ad51ad [^]

Fixes issue 37923: Filter on Manage Variants p&e is not working properly

The filter on Manage Variants P&E is not working according to the filter in main
header grid and other P&E like Return to Vendor when the filter contains spaces

The Manage Variantes datasource's filter was modified to behave the same as the
default datasource

---
M src/org/openbravo/materialmgmt/ManageVariantsDS.java
---
(0103832)
aferraz (developer)
2018-04-11 18:44

Code review + Testing OK
(0104373)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-15 10:20 JONHM New Issue
2018-02-15 10:20 JONHM Assigned To => Triage Finance
2018-02-15 10:20 JONHM Modules => Core
2018-02-15 10:20 JONHM Triggers an Emergency Pack => No
2018-02-15 10:29 JONHM File Added: Screenshot from 2018-02-15 10-28-26.png
2018-02-15 10:29 JONHM File Added: Screenshot from 2018-02-15 10-28-38.png
2018-02-15 10:29 JONHM File Added: Screenshot from 2018-02-15 10-28-55.png
2018-02-15 22:35 Practics Issue Monitored: Practics
2018-02-20 15:43 collazoandy4 Assigned To Triage Finance => collazoandy4
2018-02-20 15:44 collazoandy4 Status new => scheduled
2018-02-27 20:23 collazoandy4 Note Added: 0102860
2018-04-11 18:43 hgbot Checkin
2018-04-11 18:43 hgbot Note Added: 0103831
2018-04-11 18:43 hgbot Status scheduled => resolved
2018-04-11 18:43 hgbot Resolution open => fixed
2018-04-11 18:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6040f148b004b0c038e2462b2658f295c2ad51ad [^]
2018-04-11 18:44 aferraz Review Assigned To => aferraz
2018-04-11 18:44 aferraz Note Added: 0103832
2018-04-11 18:44 aferraz Status resolved => closed
2018-04-11 18:44 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104373


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker